%define major	1
%define libname	%mklibname %{name} %{major}

Summary:	2D vector-based animation environment
Name:		tupi
Version:	0.2.9
Release:	%mkrel 1
License:	GPLv3
Group:		Graphics/Editors and Converters
Url:		http://www.maefloresta.com/
Source0:	https://downloads.sourceforge.net/tupi2d/%{name}-%{version}.tar.gz

BuildRequires:	qttools5
BuildRequires:	ruby
BuildRequires:	aspell-devel
BuildRequires:	quazip-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5MultimediaWidgets)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(zlib)

%description
A design and authoring tool for digital artists interested in 2D Animation.

%package -n %{libname}
Summary:	Shared libraries for tupi
Group:		System/Libraries

%description -n %{libname}
Shared libraries for tupi 2D animation tool.

%prep
%setup -q
%autopatch -p1

# link quazip
sed -i -e 's|-lquazip-qt5|-lquazip5|' tupiglobal.pri qonf/test.rb configure.tests/quazip/Makefile
sed -i -e 's|-lquazip"|-lquazip5"|' qonf/test.rb
# include quazip
sed -i -e 's|/usr/include/quazip|/usr/include/quazip5|' tupiglobal.pri configure.tests/quazip/{quazip.pro,Makefile,quazip.qonf}
sed -i -e 's|quazip/quazip|quazip5/quazip|g' configure.tests/quazip/main.cpp src/libtupi/tuppackagehandler.h

%build
#No configure macro call because this is a custom configure script,
#not an autotools one.
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir}
%qmake_qt5 %{name}.pro
%make_build

%install
%make_install STRIP=

%files
%doc README
%license COPYING
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.*

%files -n %{libname}
%{_libdir}/%{name}/lib%{name}*.so
%{_libdir}/%{name}/lib%{name}*.so.%{major}*
%{_libdir}/%{name}/plugins/


%changelog
* Sun May 28 2017 akien <akien> 0.2.9-1.mga6
+ Revision: 1105354
- Version 0.2.9

* Tue May 02 2017 akien <akien> 0.2-1.git05.4.mga6
+ Revision: 1098376
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 0.2-1.git05.3.mga6
+ Revision: 1090261
- Rebuild for ffmpeg 3.2.4

* Mon May 09 2016 luigiwalser <luigiwalser> 0.2-1.git05.2.mga6
+ Revision: 1011794
- fix quazip library name
- rebuild for quazip

* Wed Jan 20 2016 daviddavid <daviddavid> 0.2-1.git05.1.mga6
+ Revision: 926064
- new version: 0.2_git05
- switch build to Qt5
- do not strip binaries and libraries (fix empty debuginfo)
- do not mark man files as doc
- fix Group
- rediff desktop-file patch
- remove no more needed ffmpeg2.4 patch

  + tv <tv>
    - add missing BRs

* Thu Jan 08 2015 alexl <alexl> 0.2-1.git04.6.mga5
+ Revision: 809373
- updated desktop files from upstream
- fixed crash when creating new project (mga#14958), thanks to author (tupgradientcreator.patch)

* Sun Nov 16 2014 akien <akien> 0.2-1.git04.5.mga5
+ Revision: 797619
- Fix build with ffmpeg 2.4
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 0.2-1.git04.3.mga5
+ Revision: 744500
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2-1.git04.2.mga5
+ Revision: 689975
- Mageia 5 Mass Rebuild

* Fri May 02 2014 akien <akien> 0.2-1.git04.1.mga5
+ Revision: 619491
- New upstream version 0.2_git04
- Patch ffmpeg plugin to build with ffmpeg 2.2.1

* Sat Oct 19 2013 umeabot <umeabot> 0.2-0.09122012.4.mga4
+ Revision: 534845
- Mageia 4 Mass Rebuild

* Sun Sep 15 2013 juancho <juancho> 0.2-0.09122012.3.mga4
+ Revision: 479135
- Fix xml launcher file (BUG #10640)

* Thu Jul 11 2013 fwang <fwang> 0.2-0.09122012.2.mga4
+ Revision: 452802
- fix build with ffmpeg 2.0

* Mon Jan 14 2013 umeabot <umeabot> 0.2-0.09122012.2.mga3
+ Revision: 384842
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Tue Jan 01 2013 juancho <juancho> 0.2-0.09122012.1.mga3
+ Revision: 337076
- Added patch to fix build against ffmpeg 1.0.1
- Fixed mkrel
- imported package tupi

